Subject: Re: GPF in ip6_dst_lookup_tail

From: Dave Jones <[email-masked]>
Date: Fri, 7 Dec 2012 13:04:28 -0500

On Fri, Dec 07, 2012 at 12:43:15PM -0500, David Miller wrote:
 > From: Dave Jones <[email-masked]>
 > Date: Fri, 7 Dec 2012 09:15:25 -0500
 > 
 > > I just hit this gpf in overnight testing.
 > 
 > Hmmm, perhaps introduced by:
 > 
 > commit f950c0ecc78f745e490d615280e031de4dbb1306
 > Author: Wei Yongjun <[email-masked]>
 > Date:   Thu Sep 20 18:29:56 2012 +0000
 > 
 >     ipv6: fix return value check in fib6_add()
 > 
 > and fixed by:
 > 
 > commit 188c517a050ec5b123e72cab76ea213721e5bd9d
 > Author: Lin Ming <[email-masked]>
 > Date:   Tue Sep 25 15:17:07 2012 +0000
 > 
 >     ipv6: return errno pointers consistently for fib6_add_1()
 >     

That was in the build that I was running.
(It was Linus' tree from last night, sorry I neglected to mention that)

	Dave